cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params Struct Reference

Host-constructable parameters structure.

`#include <linear_combination_relu.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (ElementCompute alpha, ElementCompute beta, ElementCompute threshold=ElementCompute(0))
CUTLASS_HOST_DEVICE | Params (ElementCompute const *alpha_ptr, ElementCompute const *beta_ptr, ElementCompute threshold=ElementCompute(0))

## Public Attributes

ElementCompute | alpha
| scales accumulators More...
ElementCompute | beta
| scales source tensor More...
ElementCompute | threshold
| Relu threshold. More...
ElementCompute const * | alpha_ptr
| pointer to accumulator scalar - if not null, loads it from memory More...
ElementCompute const * | beta_ptr
| pointer to source scalar - if not null, loads it from memory More...

## Constructor & Destructor Documentation

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

CUTLASS_HOST_DEVICE cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::Params | ( |  | ) |

inline

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

CUTLASS_HOST_DEVICE cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::Params | ( | ElementCompute | alpha,
|  | ElementCompute | beta,
|  | ElementCompute | threshold = `ElementCompute(0)`
| ) |  |

inline

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

CUTLASS_HOST_DEVICE cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::Params | ( | ElementCompute const * | alpha_ptr,
|  | ElementCompute const * | beta_ptr,
|  | ElementCompute | threshold = `ElementCompute(0)`
| ) |  |

inline

## Member Data Documentation

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

ElementCompute cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::alpha

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

ElementCompute const* cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::alpha_ptr

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

ElementCompute cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::beta

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

ElementCompute const* cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::beta_ptr

template<typename ElementOutput_ , int Count, FloatRoundStyle Round>

ElementCompute cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, int, float, Round >::Params::threshold

The documentation for this struct was generated from the following file:

- linear_combination_relu.h